November 19th, 2014

I’m very happy to announce that the DataStax Ruby Driver 1.0 GA for Apache Cassandra and DataStax Enterprise has just been released. It has been an exciting journey, and it is only the beginning, please refer to the complete changelog for details.


You can install the driver now using RubyGems:

Or Bundler:

Quick start

Here is an quick look at using the driver:


The DataStax Ruby Driver 1.0 for Apache Cassandra and DataStax Enterprise includes the following features:


This driver works exclusively with the Cassandra Query Language v3 (CQL3) and Cassandra’s native protocol, and supports the following software versions:

  • Apache Cassandra 1.2 and 2.0
  • DataStax Enterprise 3.1, 3.2, 4.0 and 4.5
  • Ruby (MRI) 1.9.3, 2.0 and 2.1
  • JRuby 1.7
  • Rubinius 2.2

Useful links

Finally, celebrate this release with a screencast detailing load balancing in the Ruby Driver.

Happy Coding!